import { BasePage } from "./bases.js";
import type { Page } from "./types.js";
import mySite from "./projects/my-site.js";

export const projects: Page[] = [
	mySite,
].map(page => ({
	title: page.title,
	ref: page.ref,
	content: <BasePage title={page.title}>
		<h1>{page.title}</h1>
		{page.content}
	</BasePage>
}));


const title = "Hornwitser's Projects";
export const projectsIndex: Page = {
	title,
	ref: "/projects.html",
	content: <BasePage title={title}>
		<main>
			<h1>{title}</h1>
			<ul>
				{ projects.map(project => <li><a href={project.ref}>{project.title}</a></li>)}
			</ul>
		</main>
	</BasePage>
}
