import { BasePage } from "./bases.js";
import type { Page } from "./types.js";
import uselessDashboard from "./words/useless-dashboard.js";

export const words: Page[] = [
	uselessDashboard,
].map(page => ({
	title: page.title,
	ref: page.ref,
	content: <BasePage title={page.title}>
		<h1>{page.title}</h1>
		{page.content}
	</BasePage>
}));


const title = "Ramblings and other wordy content";
export const wordsIndex: Page = {
	title,
	ref: "/words.html",
	content: <BasePage title={title}>
		<main>
			<h1>{title}</h1>
			<ul>
				{ words.map(word => <li><a href={word.ref}>{word.title}</a></li>)}
			</ul>
		</main>
	</BasePage>
}
