import type { WordsMeta } from "../types.js";
const words: WordsMeta = {
	status: "draft",
	title: "Useless Dashboards",
	ref: "/words/useless-dashboard.html",
};
const content = <>
	<p>
		I have had the misfortune of trying to work with the Google Workspace's Admin panel and it was not a pleasant experience.
	</p>
	<p>
		Key points
		- Slow and sluggish to use, seemingly every interaction is behind extra clicks on panels that take seconds to load.
		- No way to get a list of overrides for permissions. You need to click through every section of every sub-category of every app to just see if a group has different configs!
		- No way to list the groups an external account is member of, you have to go wade through every group to check, or write code to do it.
	</p>
	<p>
		A few notable bugs:
	</p>
	<ul>
		<li>
			If I'm logged into multiple Google accounts and not using my primary account and I click on a link in that takes me somewhere else, it often tries to open the panel as my primary user. Which of course doesn't have access to that part and redirect me to some unhelpful error page instead. This isn't just the admin panel that has this problem, seemingly every google product does this, and it's so bad you're better of using a separate browser profile for each Google account just so that links between Google apps will work.
		</li>
		<li>
			I needed to be a member of a specific group to be able to create shared drives, as that group was the only one configured to not deny creating them. So I added myself to the group and I still couldn't create shared drives. The option was greyed out, and no amount of refreshing or logging out and in fix it. But of course when I toggled the permission off and on again it magically worked immediately. Makes me wonder what other access control can get stuck with the wrong value.
		</li>
		<li>
			The API endpoint for checking if a member is part of a group gives you access denied if you try to use it on an external account that's part of the group. But other related endpoints work fine on external accounts.
		</li>
	</ul>
</>;

export default { ...words, content };
